package it.polimi.deib.ingsw.multithreading.ese2;

import java.util.Random;

public class Centralino {
	private int centralinistiDisponibili = 5;
	private final Random random = new Random(System.currentTimeMillis());
	
	public void chiama() {
		
		accettaChiamata();

		try {
			Thread.sleep(4000 + random.nextInt(2000));
		} catch (InterruptedException e) {  }
		
		chiudiChiamata();
		
	}
	
	private synchronized void accettaChiamata() {
		if (centralinistiDisponibili<=0) {
			try {
				wait();
			} catch (InterruptedException e) {
			}
		}
		centralinistiDisponibili--;
	}
	
	private synchronized void chiudiChiamata() {
		centralinistiDisponibili++;
		notify();
	}
}
