package it.polimi.deib.ingsw.multithreading.ese2;

import java.util.ArrayList;
import java.util.List;

public class GeneraChiamate {
	public static void main(String[] args) {
		int numClienti = 100;
		Centralino centralino = new Centralino();
		List<Thread> threadsClienti = new ArrayList<Thread>();
		
		// creo i thread dei clienti
		for (int i=0; i<numClienti; i++) {
			threadsClienti.add(new Thread(new Cliente("Cliente" + i, centralino)));
		}
		
		// avvio i thread dei clienti
		for (Thread t:threadsClienti) {
			t.start();
		}
		
		// attendo che tutti i thread siano completi
		for (Thread t:threadsClienti) {
			try {
				t.join();
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		}
	}
}
