package it.polimi.deib.ingsw.multithreading.ese3;

public class Cliente implements Runnable {
	
	protected String nomeCliente;
	protected Centralino centralino;
	
	public Cliente(String nomeCliente, Centralino centralino) {
		this.nomeCliente = nomeCliente;
		this.centralino = centralino;
	}
	
	public String getNome() {
		return nomeCliente;
	}
	
	public void run() {
		
		long inizioChiamata = System.currentTimeMillis();
		centralino.chiama(this);
		long fineChiamata = System.currentTimeMillis();
		System.out.println("La chiamata di " + nomeCliente + " e' durata " 
				+ (fineChiamata-inizioChiamata) + " ms");
	}
}
