package it.polimi.deib.ingsw.multithreading.ese3;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.TimeUnit;


public class GeneraChiamate {
	
	public static void main(String[] args) {
		int numClienti = 20;
		Centralino centralino = new Centralino();
		
		ExecutorService executor = Executors.newCachedThreadPool();
		
		// creo i thread dei clienti
		for (int i=0; i<numClienti; i++) {
			executor.execute(new Cliente("Cliente " + i, centralino));
		}
		
		executor.shutdown();
		try {
			executor.awaitTermination(1, TimeUnit.DAYS);
		} catch (InterruptedException e) {
		}
	}
}
